///////////////////////////////////////////////////////////////////////
// MathGUI = a WYSIWYG equation editor + a powerful math engine      //
// Copyright (C) 2003 by Francesco Montorsi                          //
//                                                                   //
// This library is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU Lesser General Public        //
// License as published by the Free Software Foundation; either      //
// version 2.1 of the License, or (at your option) any later         //
// version.                                                          //
//                                                                   //
// This library is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      //
// GNU Lesser General Public License for more details.               //
//                                                                   //
// You should have received a copy of the GNU Lesser General Public  //
// License along with this program; if not, write to the Free        //
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   //
// MA 02111-1307, USA.                                               //
//                                                                   //
// For any comment, suggestion or feature request, please contact    //
// the administrator of the project at frm@users.sourceforge.net     //
//                                                                   //
///////////////////////////////////////////////////////////////////////
//! \file   OptBtnPanel.h
//! \brief  Defines the mgOptionsBtnPanel class.
//!
//! See OptBtnPanel.cpp for more info.
///////////////////////////////////////////////////////////////////////




#ifndef DIALOGS_OPTBTNPANEL_H
#define DIALOGS_OPTBTNPANEL_H


#if defined(__GNUG__) && !defined(__APPLE__)
  #pragma interface "OptBtnPanel.h"
#endif


// required includes
#include <wx/panel.h>


/*! \class mgOptionsBtnPanel
 \brief The \c Edit | \c Options dialog box: the button's panel.
 \author L. Cattani
 \date 01-10-2003

 This class is very simple and consist of the constructor and the
 destructor only (the dtor does nothing at all).

 The ctor creates the tree buttons: OK, Cancel and Apply and a \c wxBoxSizer
 object used to align the tree buttons correctly when the dialog box is
 resized.
 No event handler is defined for this class: button clicked events are catched
 in the parent window, that is in the dialog dox itself.

 There is no need to create a specialized wxPanel-derived class for the
 button panel: all code could be inserted in the ctor of the dialog or,
 in a function (say, CreateBtnPanel).
 It is unlikely that this class should be modified in the future.
 
 \sa mgOptDlg#OnOkButton mgOptDlg#OnCancelButton mgOptDlg#OnApplyButton
*/
class mgOptionsBtnPanel : public wxPanel
{
public:
	//! Constructor.
	/*!
	 Constructs the three buttons and the box-sizer in which they are
	 constrained.
	*/
	mgOptionsBtnPanel( wxWindow* parent );

	//! Destructor - it does nothing.
	virtual ~mgOptionsBtnPanel();

private:
  DECLARE_CLASS( mgOptionsBtnPanel )
  DECLARE_EVENT_TABLE()
};

#endif              // not defined DIALOGS_OPTBTNPANEL_H

