///////////////////////////////////////////////////////////////////////
// MathCore = a WYSIWYG equation editor + a powerful math engine     //
// Copyright (C) 2003 by Francesco Montorsi                          //
//                                                                   //
// This library is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU Lesser General Public        //
// License as published by the Free Software Foundation; either      //
// version 2.1 of the License, or (at your option) any later         //
// version.                                                          //
//                                                                   //
// This library is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      //
// GNU Lesser General Public License for more details.               //
//                                                                   //
// You should have received a copy of the GNU Lesser General Public  //
// License along with this program; if not, write to the Free        //
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   //
// MA 02111-1307, USA.                                               //
//                                                                   //
// For any comment, suggestion or feature request, please contact    //
// the administrator of the project at frm@users.sourceforge.net     //
//                                                                   //
///////////////////////////////////////////////////////////////////////



// this is generated automatically by configure script with autoconf...
// we cannot embed all the stuff of this file into it...
#include "mg/config.h"

// sanity check
#ifndef mgVERSION_STRING
#error The config.h file is not valid !
#endif




// Conditional compilation
// -----------------------

#define mgMATHMENU_USE_OLDABOUT




// External libraries dependencies
// -------------------------------

/* Without keybinder, MathGUI currently does not compile. */
#ifndef mgDISABLE_KEYBINDER
	#define mgUSE_KEYBINDER
#endif

/* Without wxPaletteFrame, MathGUI uses wxMiniFrame instead. */
#ifndef mgDISABLE_PALETTEFRM
	#define mgUSE_PALETTEFRM
#endif




// Debug mode macros
// -----------------

/* If defined, various log messages will be sent using the mgLog function. */
#ifdef __MGDEBUG__
	#define mgENABLE_LOG
#endif




// VERSION CONTROL - "inspired" from wxWidgets' one
// ----------------------------------------------------

/*  check if the current version is at least major.minor.release */
#define mgCHECK_VERSION(major,minor,release) \
    (mgMAJOR_VERSION > (major) || \
    (mgMAJOR_VERSION == (major) && mgMINOR_VERSION > (minor)) || \
    (mgMAJOR_VERSION == (major) && mgMINOR_VERSION == (minor) && \
	mgRELEASE_NUMBER >= (release)))

