///////////////////////////////////////////////////////////////////////
// MathCore = a WYSIWYG equation editor + a powerful math engine     //
// Copyright (C) 2003 by Francesco Montorsi                          //
//                                                                   //
// This library is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU Lesser General Public        //
// License as published by the Free Software Foundation; either      //
// version 2.1 of the License, or (at your option) any later         //
// version.                                                          //
//                                                                   //
// This library is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      //
// GNU Lesser General Public License for more details.               //
//                                                                   //
// You should have received a copy of the GNU Lesser General Public  //
// License along with this program; if not, write to the Free        //
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   //
// MA 02111-1307, USA.                                               //
//                                                                   //
// For any comment, suggestion or feature request, please contact    //
// the administrator of the project at frm@users.sourceforge.net     //
//                                                                   //
///////////////////////////////////////////////////////////////////////
//! \file   mg.h
//! \brief  MathGUI main include file
//!
//! Includes all the MathGUI headers. Besides, this file is included
//! by (almost?) all CPP files and thus this is the perfect header to
//! precompile.
///////////////////////////////////////////////////////////////////////


#ifndef MG_H
#define MG_H

// do not include the precompiled header of wxWidgets:
// it is included by mgprec.h

// do not include the precompiled header of MathCore:
// it is included by mgprec.h


// first of all, include our configuration header.
// Makefiles which are not generated through the CONFIGURE script
// generated by the autoconf system, this file should have been
// generated (or copied) before start building MathGUI
#include "mg/config.h"
#include "mg/Setup.h"


// wxWidgets extensions
#include "wx/clrbtn.h" 

#include "wx/keybinder.h" 
#include "wx/menuutils.h" 

#ifdef mgUSE_PALETTEFRM
	#include "wx/palettefrm.h" 
	#include "wx/minibtn.h" 
#endif

#include "wx/resizec.h" 


// include MathGUI headers: THE ORDER IS IMPORTANT !!!
#include "ExportDlg.h" 
#include "GreekDlg.h" 
#include "GUIUtils.h" 
#include "ImportDlg.h" 
#include "MathBox.h" 
#include "MathBoxWndUser.h" 
#include "MathGUI.h" 
#include "MathMenu.h" 
#include "MathWnd.h" 
#include "OptBasePanel.h" 
#include "OptBtnPanel.h" 
#include "OptDlg.h" 
#include "OptFontSettings.h" 
#include "OptGeneral.h" 
#include "OptKeyBindings.h" 
#include "OptTreeCtrl.h" 
#include "PaletteDlg.h" 
#include "SolveDlg.h" 
#include "SpecialSymDlg.h" 
#include "SymbolDlg.h" 
#include "SymPropPanel.h" 


#endif		// MG_H

